/******************************************************************************
 *            g_affichage_echiquier.h                                         *
 *                                                                            *
 *  Copyright  2006  gerald.dumas                                             *
 *  linechec@laposte.net                                                      *
 ******************************************************************************
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  any later version.                                                        *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*
 ******************************************************************************/

/* Fonctions d'affichage de l'échiquier */
//#include "echecs_fcts_annexes.h"
#include "echecs_fcts_annexes.h"
#include "echecs_liste_chainee.h"
#include "echecs_coups_jouables.h"
#include "echecs_mis_en_echec.h"
#include "g_interface.h"
#include "g_creation_affich_coups.h"
#include "echecs_deplacer_piece.h"
#include "g_affichage_pieces_prises.h"
#include "echecs_gnuchess.h"

#if !defined(AFFICHAGE_ECHIQUIER)
#define AFFICHAGE_ECHIQUIER

struct g_position position_souris(gdouble x, gdouble y);

void affichage_piece(int piece, int couleur_piece, int position);

void affichage_coordonnees();

gboolean case_cliquee(GtkWidget *widget, GdkEventButton *ev,gpointer *ptr);

void g_traitement_dnd_echiquier(GtkWidget *widget, GdkDragContext *dc, gint x,
																								gint y, guint t, gpointer data);

gboolean affichage_echiquier(GtkWidget * widget, GdkEventExpose * event,
																														gpointer user_data);

//Renvoie un GtkEventBox qui contient la Zone de dessin de l'échiquier.
//Ce widget est utilisé pour l'affichage des tooltips de debug.
void creation_echiquier_graphic(GtkWidget *fenetre_principale,
																									GtkWidget *boite_horizontale);

void inversion_echiquier();

gboolean g_piece_selectionnee();

gboolean affich_donnee_case(GtkWidget *zonedessin, GdkEventMotion *ev,
																														gpointer user_data);

gboolean g_jouer_coup();

void annuler_dernier_coup();

gboolean g_afficher_coups_jouables(type_piece g_case_selectionnee);

#endif
